This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463041 - Alterts and Sound Effects doesn't work on gnome-sound-properties
Alterts and Sound Effects doesn't work on gnome-sound-properties
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-09-20 22:40 EDT by sangu
Modified: 2008-10-06 13:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 13:35:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of pulseaudio -vvv (16.20 KB, text/plain)
2008-10-03 12:54 EDT, Matthias Clasen
no flags Details

  None (edit)
Description sangu 2008-09-20 22:40:58 EDT
Description of problem:
Alterts and Sound Effects doesn't work on gnome-sound-properties.

After checking Play alerts and sound effects, to click play button doesn't sound in Alterts and sound Effects
Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Launch g-s-p
2. Check Play alerts and sound effects option.
3. click play button in Alfters and sound Effects
  
Actual results:


Expected results:


Additional info:
libcanberra-gtk2-0.9-1.fc10.i386
libcanberra-0.9-1.fc10.i386
sound-theme-freedesktop-0.1-4.fc10.noarch
Comment 1 Steven Usdansky 2008-09-27 08:30:28 EDT
I think this belongs here too; if not let me know and I'll file a separate bug. 
I've lost the cute little GNOME sounds that used to play when perform various actions in GNOME. 

1. as above
2. as above 
3. click on FF button in panel to open a new window

Actual results:
FF silently opens

Expected results:
FF opens to the a cute little sound

Possibly relevant rpms I have installed:
~$ grep canberra /var/log/rpmpkgs
libcanberra-0.9-1.fc10.i386.rpm
libcanberra-gtk2-0.9-1.fc10.i386.rpm
~$ grep sound /var/log/rpmpkgs
esound-libs-0.2.40-1.fc10.i386.rpm
esound-tools-0.2.40-1.fc10.i386.rpm
pulseaudio-esound-compat-0.9.12-6.fc10.i386.rpm
soundconverter-1.3.2-1.fc10.noarch.rpm
sound-juicer-2.23.3-1.fc10.i386.rpm
sound-theme-freedesktop-0.1-4.fc10.noarch.rpm
soundtouch-1.3.1-10.fc9.i386.rpm
~$ grep audio /var/log/rpmpkgs
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386.rpm
audiofile-0.2.6-9.fc10.i386.rpm
gnome-audio-2.22.2-2.fc10.noarch.rpm
gnome-audio-extra-2.22.2-2.fc10.noarch.rpm
jack-audio-connection-kit-0.109.2-3.fc10.i386.rpm
libcdaudio-0.99.12p2-9.fc9.i386.rpm
portaudio-19-5.fc9.i386.rpm
pulseaudio-0.9.12-6.fc10.i386.rpm
pulseaudio-core-libs-0.9.12-6.fc10.i386.rpm
pulseaudio-esound-compat-0.9.12-6.fc10.i386.rpm
pulseaudio-libs-0.9.12-6.fc10.i386.rpm
pulseaudio-libs-glib2-0.9.12-6.fc10.i386.rpm
pulseaudio-libs-zeroconf-0.9.12-6.fc10.i386.rpm
pulseaudio-module-gconf-0.9.12-6.fc10.i386.rpm
pulseaudio-module-x11-0.9.12-6.fc10.i386.rpm
pulseaudio-module-zeroconf-0.9.12-6.fc10.i386.rpm
pulseaudio-utils-0.9.12-6.fc10.i386.rpm
Comment 2 Matthias Clasen 2008-10-01 16:28:04 EDT
Tentatively moving to libcanberra
Comment 3 Lennart Poettering 2008-10-01 20:54:07 EDT
Make sure to adjust the volume for the event sounds properly in pavucontrol.

Please open a terminal. Run these commands in there:

pulseaudio -k
pulseaudio -vvv   # this will continue to run, don't cancel it

This will give you debug output of PA in the terminal. Now run g-s-p and try to play your sounds. Does the pa debug output show that? (please paste the output here)
Comment 4 Matthias Clasen 2008-10-01 21:14:35 EDT
Lennart, I don't see any way to adjust the event sound volume in pavucontrol.

this is with pavucontrol 0.9.7-2.fc10
Comment 5 Matthias Clasen 2008-10-03 12:53:06 EDT
Ok, after moving /etc/pulse/default.pa.rpmnew to default.pa (thank you, rpm), I now have the sound event volume slider. And it is at 100%, still no event sounds to be heard.
Comment 6 Matthias Clasen 2008-10-03 12:54:00 EDT
Created attachment 319392 [details]
output of pulseaudio -vvv
Comment 7 Lennart Poettering 2008-10-03 14:58:24 EDT
This is a bug in PA actually. It's fixed upstream now, will upload a new
version to Fedora soon.
Comment 8 Lennart Poettering 2008-10-06 13:35:39 EDT
Fixed in 0.9.13-1

Note You need to log in before you can comment on or make changes to this bug.